# composeTradeByTargetTransaction

This function creates an unsigned transaction to trade by target amount.&#x20;

```
public async composeTradeByTargetTransaction(
    sourceToken: string,
    targetToken: string,
    tradeActions: TradeActionStruct[],
    deadline: BigNumberish,
    maxInput: string,
    overrides?: PayableOverrides
  )
```

| Name         | Type                  | Description                                                                                                                                                                                                                                       |
| ------------ | --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sourceToken  | token address         | The token being sent.                                                                                                                                                                                                                             |
| targetToken  | token address         | The token received.                                                                                                                                                                                                                               |
| tradeActions | list                  | The list of trade actions to be performed.                                                                                                                                                                                                        |
| deadline     | number                | The timestamp at which point the trade will no longer be valid.                                                                                                                                                                                   |
| maxInput     | string                | The maximum number of source tokens that can be swapped in for the trade to succeed.                                                                                                                                                              |
| overrides    | object (**optional**) | This optional object contains transaction parameters, such as gas price, Eth value, etc. See **overrides** in the [Ethers documentation](https://docs.ethers.org/v5/api/contract/contract/#:~:text=The-,overrides,-object%20for%20a) for details. |

### Returns

This function returns an unsigned transaction that is ready to be signed and submitted to the blockchain.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/composetradebytargettransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
